Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Interface IText

public interface IText

Interface fuer TextEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer TextEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addTextListener(TextListener listener)` Fuegt dem Control den uebergebenen Listener als TextListener hinzu.
`String` | `getActionClassForText()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TextEvent ausgeloest wurde.
`void` | `removeTextListener(TextListener listener)` Entfernt den Listener aus dem COntrol.
`void` | `setActionClassForText(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TextEvent ausgeloest wurde.

Method Detail

### addTextListener

    public void addTextListener(TextListener listener)

  Fuegt dem Control den uebergebenen Listener als TextListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende TextListener.

### removeTextListener

    public void removeTextListener(TextListener listener)

  Entfernt den Listener aus dem COntrol.

  Parameters:
    `listener` - Der zu entfernende Listener.

### setActionClassForText

    public void setActionClassForText(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TextEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TextEvents.

### getActionClassForText

    public String getActionClassForText()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TextEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer TextEvents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD